:root {
    --ic-primary: #58cab9;
    --body-background: #0c0c0c;
    --primary-font-family: 'Montserrat', sans-serif;
    --lightgray: #efefef;
    --blue: steelblue;
    --white: #fff;
    --black: rgba(0, 0, 0, 0.8);
    --bounceEasing: cubic-bezier(0.51, 0.92, 0.24, 1.15);
    --century: #ed1d24;
    --oneplus: #00b2d2;
    --viacom: #2e3192;
    --paytm: #20336b;
    --tinder: #fe2d7a;
    --asus: #403e38;
    --belkin: #8bcc5a;
    --samsung: #0d3a9a;
    --panasonic: #0f58a8;
    --casio: #003d90;
    --realme: #ffc915;
    --avon: #da578c;
    --finzy: #0848ac;
    --kailash: #f9d966;
    --redfm: #58347c;
    --ikea: #f5d364;
    --peesafe: #4c94c0;
    --ocm: #5b3378;
    --baggry: #da4b49;
    --mygreen: #b8ba50;
    --hella: #f9de94;
    --brocode: #fcc805;
    --wittybro: #4c8a94;
    --delhid: #273777;
    --cinepolis: #fbcf4c;
    --omaxe: #0162b4;
    --tinder: #fd5068;
    --dineout: #df625f;
    --hypster: #dd4d53;
    --adda: #d44842;
    --oyo: #dd4b45;
    --goldenjeeto: #7b2723;
    --paytm: #213867;
    --google: #4b8dec;
    --mem: #76aa5e;
    --mis: #853838;
    --ebix: #4b99d4;
    --devil: #933530;
    --iif: #c7485d;
    --middleeast: #66b4bf;
    --zostel: #df6553;
    --kasbah: #d5cfb6;
    --bing: #ffca0c;
    --radisson: #205da1;
    --countryinn: #737630;
    --selecity: #E42227;
    --ats: #333833;
    --voot: #670cd3;
    --ambipure: #1f5686;
    --upgrad: #ef2c3c;
    --gaana: #dd4b45;
    --sunflame: #ec3237;
    --kitchenaid: #c41239;
    --delhidynamos: #1d1c47;
    --oralb: #013f7a;
    --glutone: #7b5020;
}

* {
    padding: 0;
    margin: 0;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    background-color: var(--body-background);
    font-family: var(--primary-font-family);
    color: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

.position-relative{
    position: relative;
}

.z-1{
    z-index: 1;
}

.mt-2{
    margin-top: 1rem;
}
/* loader */
#loader {
    background-color: #030303;
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    bottom: 0;
}

#loader svg,
.header--logo svg {
    font-family: 'Russo One', sans-serif;
    width: 100%;
    height: 100%;
}

#loader svg text {
    text-transform: uppercase;
    animation: stroke 5s infinite alternate;
    stroke-width: 2;
    stroke: var(--ic-primary);
    font-size: 20rem;
}

@keyframes stroke {
    0% {
        fill: rgba(72, 138, 20, 0);
        stroke: rgba(88, 202, 185, 1);
        stroke-dashoffset: 25%;
        stroke-dasharray: 0 50%;
        stroke-width: 2;
    }

    70% {
        fill: rgba(72, 138, 20, 0);
        stroke: rgba(88, 202, 185, 1);
    }

    80% {
        fill: rgba(72, 138, 20, 0);
        stroke: rgba(88, 202, 185, 1);
        stroke-width: 3;
    }

    100% {
        fill: rgba(88, 202, 185, 1);
        stroke: rgba(88, 202, 185, 0);
        stroke-dashoffset: -25%;
        stroke-dasharray: 50% 0;
        stroke-width: 0;
    }
}

.perspective {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.perspective--modalview {
    position: fixed;
    perspective: 1500px;
}

.container {
    position: relative;
    transform: translateZ(0) translateX(0) rotateY(0deg);
    min-height: 100%;
    outline: 30px solid var(--ic-primary);
    transition: transform 0.4s;
}

.effect-rotate-left .container {
    transform-origin: 0% 50%;
    transition: transform 0.4s;
}

.effect-rotate-left--animate .container {
    transform: translateZ(-1800px) translateX(-50%) rotateY(45deg);
    outline: 30px solid var(--ic-primary);
}

.outer-nav--return {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    cursor: pointer;
    z-index: 11;
}

.outer-nav--return.is-vis {
    display: block;
}

.outer-nav {
    position: absolute;
    top: 50%;
    left: 55%;
    transform: translateY(-50%);
    transform-style: preserve-3d;
    margin: 0;
    padding: 0;
    list-style: none;
    text-align: center;
    visibility: hidden;
    transition: visibility 0s 0.2s;
}

.outer-nav.is-vis {
    visibility: visible;
}

.outer-nav>li {
    transform-style: preserve-3d;
    transform: translateX(350px) translateZ(-1000px);
    font-size: 38px;
    font-weight: 900;
    opacity: 0;
    line-height: 1.6;
    cursor: pointer;
    transition: transform 0.2s, opacity 0.2s;
}

.outer-nav>li.is-vis {
    transform: translateX(0) translateZ(0);
    opacity: 1;
    transition: transform 0.4s, opacity 0.4s;
}

.outer-nav li.is-vis:nth-child(2) {
    transition-delay: 0.04s;
}

.outer-nav li.is-vis:nth-child(3) {
    transition-delay: 0.08s;
}

.outer-nav li.is-vis:nth-child(4) {
    transition-delay: 0.12s;
}

.outer-nav li.is-vis:nth-child(5) {
    transition-delay: 0.16s;
}

.outer-nav>li::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -25%);
    width: 110%;
    height: 4px;
    opacity: 0;
    background-color: var(--ic-primary);
}

.outer-nav>li.is-active::before {
    opacity: 1;
}

.outer-nav>li>a {
    color: #fff;
    text-decoration: none;
}

.l-viewport {
    position: relative;
    width: 100%;
    height: 100vh;
    box-shadow: 0 0 45px 5px rgba(0, 0, 0, 0.85);
    overflow: hidden;
}

.l-wrapper {
    position: relative;
    width: 1440px;
    max-width: 90%;
    height: 100%;
    margin: 0 auto;
}

.header {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    width: 100%;
    height: 70px;
    align-items: center;
    justify-content: space-between;
    z-index: 10;
}

.header--logo {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #fff;
}

.header--logo svg {
    width: 40px;
    height: 40px;
}

.header--logo svg text {
    text-transform: uppercase;
    stroke-width: 2;
    fill: var(--ic-primary);
    font-size: 60rem;
}

.header--nav-toggle {
    display: flex;
    width: 50px;
    height: 50px;
    flex-direction: column;
    align-items: end;
    justify-content: center;
    cursor: pointer;
}

.header--nav-toggle span,
.header--nav-toggle::before,
.header--nav-toggle::after {
    content: "";
    position: relative;
    width: 16px;
    height: 2px;
    background-color: #fff;
}

.header--nav-toggle::before {
    bottom: 5px;
    width: 23px;
}

.header--nav-toggle::after {
    top: 5px;
    width: 23px;
}

.l-side-nav {
    position: absolute;
    left: 0;
    display: flex;
    height: 100%;
    align-items: center;
}

.l-side-nav::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 2px;
    height: 70%;
    max-height: 750px;
    background-color: #555;
    opacity: 0.35;
    z-index: 10;
}

.side-nav {
    position: relative;
    display: flex;
    width: 100px;
    height: 70%;
    max-height: 750px;
    flex-direction: column;
    justify-content: space-around;
    margin: 0;
    padding: 0;
    list-style-position: inside;
    z-index: 10;
    content: "07";
}

.side-nav>li {
    position: relative;
    top: -5px;
    color: #fff;
    cursor: pointer;
    list-style: none;
}

.side-nav>li span {
    position: relative;
    top: 3px;
    left: 10px;
    color: #fff;
    font-size: 14px;
    padding-left: 10px;
    opacity: 0;
    visibility: hidden;
}

.side-nav li.is-active {
    color: var(--ic-primary);
    transition: color 0.4s ease-in-out;
}

.side-nav>li::before {
    position: absolute;
    top: 4px;
    left: 10px;
    color: #555;
    font-size: 14px;
    font-weight: 300;
    padding-left: 10px;
    content: attr(data-number);
}

.side-nav>li::after {
    position: absolute;
    top: 10px;
    left: -3px;
    content: "";
    width: 8px;
    height: 8px;
    background-color: var(--ic-primary);
    border-radius: 100%;
}

.side-nav li.is-active span {
    opacity: 1;
    visibility: visible;
    transition: opacity 0.4s ease-in-out;
}

.side-nav li.is-active::before {
    left: -33px;
    color: #fff;
    padding-left: 0px;
}

.side-nav li:hover {
    color: var(--ic-primary);
    transition: color 0.4s ease-in-out;
}

.side-nav li:hover::before {
    left: -33px;
    color: #fff;
    padding-left: 0px;
}


.side-nav li:hover span {
    opacity: 1;
    visibility: visible;
    transition: opacity 0.4s ease-in-out;
}

.l-main-content {
    position: relative;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
}

.l-section {
    position: absolute;
    width: 100%;
    height: 100%;
}

.section {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease-in-out, visibility 0s 0.4s;
}

.section--is-active {
    opacity: 1;
    visibility: visible;
    z-index: 1;
    transition: opacity 0.4s ease-in-out 0.4s;
}

.intro {
    position: relative;
    display: flex;
    width: 900px;
    max-width: 75%;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    margin: 0 auto;
}

.intro--banner h1 {
    position: relative;
    font-size: 68px;
    font-weight: 900;
    line-height: 1;
    z-index: 1;
    margin-bottom: 2rem;
}

.intro--banner h2 {
    font-weight: 500;
    position: relative;
    z-index: 1;
}
.intro--banner h2 span{
    color: var(--ic-primary);
}
.intro--banner h4 {
    font-weight: 500;
}

.intro--banner .btn{
    display: inline-block;
    background: var(--ic-primary);
    padding: 0.625rem 1rem;
    border-radius: 0.25rem;
    color: var(--white);
    text-decoration: none;
}

.particles-wrapper {
    float: right;
    width: 100%;
    position: absolute;
    top: 50%;
    transform: translateY(-100%);
    right: 0;
    height: 50%;
}

.particles-wrapper canvas {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

.work {
    position: relative;
    display: flex;
    width: 960px;
    max-width: 80%;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    margin: 0 auto;
}

.work--lockup {
    position: relative;
    height: 100%;
}

.swiper {
    width: 90%;
    height: 95%;
    margin-left: auto;
    margin-right: auto;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    height: calc((100% - 10px) / 2) !important;
    justify-content: center;
    align-items: center;
}

.hire .swiper-slide a {
    text-decoration: none;
    color: #fff;
    text-align: center;
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
    background-color: #151414;
    font-size: 1rem;
    padding: 2rem;
    font-weight: 700;
    flex-direction: column;
    transition: all 0.4s ease-in-out;
}

.hire .swiper-slide a img {
    display: block;
    max-width: 100%;
    height: 70%;
    object-fit: initial;
}

.swiper-slide a:hover {
    background-color: var(--ic-primary);
    color: #fff;
}

.hire {
    position: relative;
    display: flex;
    width: 990px;
    max-width: 75%;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    margin: 0 auto;
}

.work--lockup {
    height: 70%;
    width: 90%;
    margin: 0 auto;
}

.work--lockup .swiper {
    --swiper-pagination-bottom: 0px;
    --swiper-pagination-color: var(--ic-primary);
    --swiper-pagination-bullet-inactive-color: #ddd;
    padding-bottom: 65px;
}

.work .work--lockup {
    height: auto;
}

.work a {
    display: flex;
    position: relative;
    overflow: hidden;
    height: 200px;
    width: 250px;
    background-color: #151414;
}

.work a img, .work a svg {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    z-index: 2;
    -webkit-filter: brightness(0) invert(1) grayscale(0);
    -moz-filter: brightness(0) invert(1) grayscale(0);
    -o-filter: brightness(0) invert(1) grayscale(0);
    -ms-filter: brightness(0) invert(1) grayscale(0);
    filter: brightness(0) invert(1) grayscale(0);
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
}

.work a div {
    top: 0px;
    left: -100%;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.work a div {
    position: absolute;
    background: #333;
    background: rgba(75, 75, 75, 0.7);
    width: 100%;
    height: 100%;
}

.work a div.power {
    background-color: var(--ic-primary);
}

.work a div.centuryply {
    background-color: var(--century);
}

.work a div.oneplus {
    background-color: var(--oneplus);
}

.work a:hover div {
    left: 0px;
}

.contact {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../img/contact.jpeg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.contact--lockup {
    position: relative;
    display: flex;
    width: 900px;
    max-width: 100%;
    height: 100%;
    align-items: center;
    justify-content: flex-end;
    margin: 0 auto;
}

.contact--lockup .modal {
    padding: 45px 45px;
    flex: 0 0 50%;
    max-width: 50%;
    text-align: center;
    background-color: #0c0c0c;
    box-shadow: 0 0 30px 0 rgba(0, 0, 0, 0.75);
}

.contact--lockup .modal--information .address-block {
    margin: 1.5rem 0 2rem;
    line-height: 1.7;
    font-size: 1.125rem;
}

.contact--lockup .modal--information .address-block:first-child {
    margin-top: 0;
}

.contact--lockup .modal--information p,
.contact--lockup .modal--information a {
    display: block;
    text-decoration: none;
    color: #fff;
}

.social-icons {
    padding: 0;
    display: flex;
    justify-content: center;
    margin-top: 3em;
}

.social-icons li {
    list-style: none;
    margin: 0 0.5em;
}

.social-icons li a {
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    transition: all .4s ease-in-out;
}

.social-icons li a svg {
    color: #1f1f1f;
}

.copy-text {
    position: relative;
    margin-top: -3rem;
    padding: 1.25rem;
    font-size: 12px;
}

@media (max-width: 1180px) {
    .header {
        padding: 0 1.25rem;
    }

    .l-side-nav {
        display: none;
    }

    .l-wrapper {
        max-width: 100%;
    }

    .intro,
    .hire,
    .work,
    .contact--lockup {
        padding: 0 1.25rem;
        max-width: 100%;
    }
    .swiper {
    width: 70%;
    height: 90%;
        
    }
    .work a{
            height: 177px;
    width: 199px;
    }

}

@media (max-width: 900px) {
    .intro--banner h1 {
        font-size: 55px
    }

    .contact--lockup .modal {
        flex: 0 0 100%;
        max-width: 100%;
    }
    .work a{
        height: 128px;
        width: 155px;
    }
    .work .work--lockup {
        height: auto!important;
    }
}

@media (max-width: 767px) {
    .intro--banner h1 {
        font-size: 40px
    }

    .intro--banner h2 {
        font-size: 20px;
    }

    .outer-nav>li {
        font-size: 1.5rem;
        line-height: 1.7;
    }

    .contact--lockup .modal--information .address-block {
        font-size: 14px;
    }

    .copy-text {
        margin-top: -8rem;
        text-align: center;
    }

    .hire .swiper-slide a img {
        height: 150px;
    }
    .work a {
        margin: 0 auto;
        height: 177px;
        width: 200px;
    }
    

    .work .work--lockup {
        height: auto!important;
    }

    /*.hire .swiper-slide a {
        height: auto;
    }

    .hire .swiper-slide a img {
        height: 100%;
    } */
}

@media (max-width:530px) {
    .work--lockup{
        height: 52%;
    }
    .hire .swiper-slide a {
        
        margin: 0 auto;
        padding: 0px 12px 21px 12px;
    }
    .swiper {
        width: 65%;
        height: 114%;
    }
    .work--lockup .swiper {
    padding-bottom: 33px;
}
        
}
@media (max-width: 320px){
    .hire .swiper-slide a {
        
        margin: 0 auto;
        padding: 0px 12px 21px 12px;
    }
    .work a {
        height: 155px;
        margin: 0 auto;
        width: 180px;
        background: #151414;
    }
}